   // sphereh.vert: Source code of vertex shader
   uniform mat4 mvpMatrix;
   attribute vec4 vPosition;

   varying vec3 N; //normal direction

   uniform int objType;

   void main()
   { 
      if ( objType == 0 )
        N = vPosition.xyz;   //normal of  a point on sphere
      else
        N = gl_NormalMatrix * gl_Normal;

      gl_Position = mvpMatrix * vPosition;
   }

